# phpDox - Query\Drivers\AbstractDriver::updateBatch

# Query\Drivers\AbstractDriver::updateBatch

#### Creates a batch update, and executes it.

Returns the number of affected rows

## Signature

`public function updateBatch(string $table, array $data, string $where )`

## Parameters

`$table` — string
  The table to update
`$data` — array
  an array of update values
`$where` — string
  The where key

## Returns

array<string
  array,int>

## Defined by Interface

`DriverInterface`